curl --request PATCH \
--url https://api.management.junction.com/v1/org/{org_id}/lab_account/{env}/{region}/{account_id} \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{ "team_id_allowlist": "<team-id>" }'
{
"lab_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lab": "ayumetrix",
"status": "active",
"delegated_flow": "order_delegated",
"provider_account_id": "<string>",
"allowed_billing": {},
"team_id_allowlist": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_name": "<string>",
"default_clinical_notes": "<string>",
"business_units": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Lab Accounts
Update Lab Account Teams
Patch org lab account via the Junction API. Requires authentication with your team API key.
PATCH
/
v1
/
org
/
{org_id}
/
lab_account
/
{env}
/
{region}
/
{account_id}
curl --request PATCH \
--url https://api.management.junction.com/v1/org/{org_id}/lab_account/{env}/{region}/{account_id} \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{ "team_id_allowlist": "<team-id>" }'
{
"lab_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lab": "ayumetrix",
"status": "active",
"delegated_flow": "order_delegated",
"provider_account_id": "<string>",
"allowed_billing": {},
"team_id_allowlist": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_name": "<string>",
"default_clinical_notes": "<string>",
"business_units": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.curl --request PATCH \
--url https://api.management.junction.com/v1/org/{org_id}/lab_account/{env}/{region}/{account_id} \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{ "team_id_allowlist": "<team-id>" }'
Authorizations
Path Parameters
Available options:
production, sandbox Available options:
us, eu Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?